Researcher Euclie:
He is a fearless demon who led a legion of this minions in an invasion of the Tower of Insolence. His followers include Longhorn General Golconda and the fearsome Kernon, but Death Lord Hallate himself is the most frightening of all. He is capable of killing six angels single-handedly! He is truly the epitome of evil.
It is said that he seeks something that is kept on the top floor of this tower. What it is, I haven't a clue!
It was Hallate who destroyed the force field that was protecting the tower. Ironically, it was this action that made your presence here possible, so we're technically in debt to him.
Anyway, the conflicts between Hallate's legion and the Platinum tribe and the angels guarding the tower have reduced the entire tower to a battleground.
Hallate's headquarter's is on the third floor. I advise you to keep your distance from him.
Return